Output checks
List output checks
List verifiers, newest first. next_cursor returns the next page of older verifiers.
GET
/
v1
/
verifiers
List output checks
curl --request GET \
--url https://api.getmillwork.dev/v1/verifiers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/verifiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"next_cursor": "<string>",
"verifiers": [
{
"connection": {
"days_remaining": 123,
"status": "unbound",
"stop_at": "2023-11-07T05:31:56Z",
"stop_reason": "revoked",
"stop_time_zone": "<string>",
"stopped_at": "2023-11-07T05:31:56Z"
},
"correctness_declaration": {
"statement": "Tenant declared deterministic correctness; not independently verified",
"status": "declared",
"declared_at": "2023-11-07T05:31:56Z",
"method": "deterministic"
},
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"endpoint": {
"auth_ref": "<string>",
"url": "<string>"
},
"hash": "<string>",
"input_data_classes": [
"public"
],
"kind": "endpoint",
"retired_at": "2023-11-07T05:31:56Z",
"revision": 123,
"scoring": {
"correctness": "<string>",
"quality": "<string>"
},
"status": "ready",
"status_reason": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"verifier_id": "<string>",
"version": "<string>"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Query Parameters
Opaque cursor from next_cursor. Returns the next page of older items.
Required range:
1 <= x <= 200⌘I
List output checks
curl --request GET \
--url https://api.getmillwork.dev/v1/verifiers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/verifiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"next_cursor": "<string>",
"verifiers": [
{
"connection": {
"days_remaining": 123,
"status": "unbound",
"stop_at": "2023-11-07T05:31:56Z",
"stop_reason": "revoked",
"stop_time_zone": "<string>",
"stopped_at": "2023-11-07T05:31:56Z"
},
"correctness_declaration": {
"statement": "Tenant declared deterministic correctness; not independently verified",
"status": "declared",
"declared_at": "2023-11-07T05:31:56Z",
"method": "deterministic"
},
"created_at": "2023-11-07T05:31:56Z",
"display_name": "<string>",
"endpoint": {
"auth_ref": "<string>",
"url": "<string>"
},
"hash": "<string>",
"input_data_classes": [
"public"
],
"kind": "endpoint",
"retired_at": "2023-11-07T05:31:56Z",
"revision": 123,
"scoring": {
"correctness": "<string>",
"quality": "<string>"
},
"status": "ready",
"status_reason": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"verifier_id": "<string>",
"version": "<string>"
}
]
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"reason": "agreement_terminated",
"retry_after_s": 123
}